Verify Signup MFA
POST
/api/v1/signup/mfa/verify
const url = 'https://api.spartanauth.com/api/v1/signup/mfa/verify';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"sectorID":"example","email":"example","code":"example","transactionId":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.spartanauth.com/api/v1/signup/mfa/verify \ --header 'Content-Type: application/json' \ --data '{ "sectorID": "example", "email": "example", "code": "example", "transactionId": "example" }'Validates the signup OTP, marks the email as verified, and issues a JWT for a user in an MFA-required sector. Public endpoint, but it requires the same recent password-backed transactionID used to begin enrollment.
Request Body
Section titled “Request Body ”SignupMFAVerify — validates the OTP, registers email as MFA, and issues a JWT.
Media type application/json
SignupMFAVerify — validates the OTP, registers email as MFA, and issues a JWT.
object
sectorID
string
email
string
code
string
transactionId
required: same transaction used in SignupMFABegin
string
Example generated
{ "sectorID": "example", "email": "example", "code": "example", "transactionId": "example"}Responses
Section titled “ Responses ”A successful response.
Media type application/json
object
token
string
Example generated
{ "token": "example"}default
Section titled “default ”An unexpected error response.
Media type application/json
object
code
integer format: int32
message
string
details
Array<object>
object
@type
string
key
additional properties
Example generated
{ "code": 1, "message": "example", "details": [ { "@type": "example" } ]}